Bug 174204 - lang/bigloo: Update to version 3.9a
Summary: lang/bigloo: Update to version 3.9a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2013-02-10 08:13 UTC (History)
0 users

See Also:


Attachments
file.diff (1.73 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (16.65 KB, patch)
2013-01-20 18:00 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (16.82 KB, patch)
2013-02-08 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:14 UTC
- Update to version 3.9a
Comment 1 Marcelo Araujo freebsd_committer 2012-12-11 11:20:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 tkato432 2013-01-20 18:00:00 UTC
Version 4.0a has been released.
Comment 3 Martin Wilke freebsd_committer 2013-02-05 09:28:44 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2013-02-05 09:28:50 UTC
State Changed
From-To: open->feedback

Patch rejected. 


[17:27][miwi@fbsd] $ patch < query-pr.cgi?pr=ports%2F174204&getpatch=2 
(~/dev/ports/lang/bigloo) Hmm...  Looks like a unified diff to me... 
The text leading up to this was: -------------------------- |diff -urN 
/usr/ports/lang/bigloo/Makefile lang/bigloo/Makefile |--- 
/usr/ports/lang/bigloo/Makefile    2012-12-11 05:05:23.000000000 +0900 
|+++ lang/bigloo/Makefile       2013-01-20 05:37:41.000000000 +0900 
-------------------------- Patching file Makefile using Plan A...  Hunk 
#1 failed at 1.  Hunk #2 succeeded at 13 (offset -5 lines).  Hunk #3 
succeeded at 34 (offset -5 lines).  Hunk #4 succeeded at 59 (offset -5 
lines).  Hunk #5 succeeded at 75 (offset -5 lines).  Hunk #6 failed at 
104.  2 out of 6 hunks failed--saving rejects to Makefile.rej Hmm... 
The next patch looks like a unified diff to me...
Comment 5 tkato432 2013-02-05 18:27:06 UTC
As far as I have inspected, the latest patch downloaded from this
PR can be applied cleanly against up-to-date ports tree provided
by svn.FreeBSD.org. Probably there is some difference between
lang/bigloo directory you prepared in tinderbox and official tree.
Comment 6 Martin Wilke freebsd_committer 2013-02-07 12:43:18 UTC
State Changed
From-To: feedback->open

seems was my fault.
Comment 7 Martin Wilke freebsd_committer 2013-02-07 12:43:47 UTC
State Changed
From-To: open->feedback

the checksum was wrong, after fixing plist error. please have a  look at 
http://miwibox.org/tb/index.php?action=describe_port&id=435
Comment 8 tkato432 2013-02-08 17:56:50 UTC
Here is the corrected patch.
Comment 9 dfilter service freebsd_committer 2013-02-10 07:52:21 UTC
Author: miwi
Date: Sun Feb 10 07:52:02 2013
New Revision: 311997
URL: http://svnweb.freebsd.org/changeset/ports/311997

Log:
  - Update to 4.0.a
  
  PR:		174204
  Submitted by:	ports fury

Added:
  head/lang/bigloo/files/
  head/lang/bigloo/files/patch-autoconf__flac   (contents, props changed)
  head/lang/bigloo/files/patch-autoconf__gmp   (contents, props changed)
  head/lang/bigloo/files/patch-autoconf__mpg123   (contents, props changed)
  head/lang/bigloo/files/patch-bde__Makefile   (contents, props changed)
  head/lang/bigloo/files/patch-cigloo__Makfefile   (contents, props changed)
  head/lang/bigloo/files/patch-configure   (contents, props changed)
Modified:
  head/lang/bigloo/Makefile   (contents, props changed)
  head/lang/bigloo/distinfo   (contents, props changed)
  head/lang/bigloo/pkg-plist   (contents, props changed)

Modified: head/lang/bigloo/Makefile
==============================================================================
--- head/lang/bigloo/Makefile	Sun Feb 10 07:49:40 2013	(r311996)
+++ head/lang/bigloo/Makefile	Sun Feb 10 07:52:02 2013	(r311997)
@@ -1,19 +1,14 @@
-# New ports collection makefile for:    bigloo
-# Date created:         15 Jul 2002
-# Whom:                 Stanislav Grozev <tacho@daemonz.org>
-#
+# Created by: Stanislav Grozev <tacho@daemonz.org>
 # $FreeBSD$
-#
 
 PORTNAME=	bigloo
-PORTVERSION=	3.8c
-PORTREVISION=	3
+PORTVERSION=	4.0a
 CATEGORIES=	lang scheme
 MASTER_SITES=	ftp://ftp-sop.inria.fr/indes/fp/Bigloo/
 DISTNAME=	${PORTNAME}${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Scheme interpreter and native code compiler
+COMMENT=	Scheme interpreter and native code compiler
 
 LICENSE=	GPLv2 LGPL20
 LICENSE_COMB=	multi
@@ -23,13 +18,17 @@ LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre
 
 OPTIONS_DEFINE=	AVAHI ALSA FLAC GSTREAMER MPG123 SQLITE OPENSSL DOCS
 OPTIONS_DEFAULT=OPENSSL
-MPG123_DESC=	Enable MPG123 support
 
 USE_GCC=	4.6+
 USE_EMACS=	yes
 USE_GMAKE=	yes
 HAS_CONFIGURE=	yes
+CONFIGURE_ENV=	pcrelib="-L${LOCALBASE}/lib -lpcre" \
+		gmplib="-L${LOCALBASE}/lib -lgmp"
 CONFIGURE_ARGS=	--prefix=${PREFIX} \
+		--cflags="${CPPFLAGS}" \
+		--coflags="${CFLAGS}" \
+		--ldflags="${LDFLAGS}" \
 		--docdir=${WRKDIR}/fakeroot \
 		--lispdir=${LOCALBASE}/${EMACS_SITE_LISPDIR}/bigloo \
 		--emacs=${EMACS_NAME} \
@@ -40,6 +39,9 @@ USE_LDCONFIG=	${PREFIX}/lib ${PREFIX}/li
 PLIST_SUB=	BIGLOO_VERSION="${PORTVERSION}"
 MAKE_JOBS_UNSAFE=yes
 
+CPPFLAGS+=	-idirafter ${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
 MAN1=		bigloo.1
 INFO=		bigloo
 
@@ -62,9 +64,6 @@ PLIST_SUB+=	ALSA="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MFLAC}
-.if empty(PORT_OPTIONS:MALSA)
-IGNORE=		FLAC support requires ALSA
-.endif
 LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
 PLIST_SUB+=	FLAC=""
 .else
@@ -81,9 +80,6 @@ PLIST_SUB+=	GSTREAMER="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMPG123}
-.if empty(PORT_OPTIONS:MALSA)
-IGNORE=		MPG123 support requires ALSA
-.endif
 LIB_DEPENDS+=	mpg123:${PORTSDIR}/audio/mpg123
 PLIST_SUB+=	MPG123=""
 .else
@@ -113,28 +109,15 @@ PLIST_SUB+=	OPENSSL="@comment "
 BROKEN=		Does not compile on sparc64
 .endif
 
-# SRFI-27 requires a 32bits platform
-.if ${ARCH} == "i386"
-PLIST_SUB+=	SRFI27=""
-.else
-CONFIGURE_ARGS+=--disable-srfi27
-PLIST_SUB+=	SRFI27="@comment "
-.endif
-
 post-patch:
-	@${REINPLACE_CMD} -e 's|^coflags=|#coflags=|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|"-lthr"|"${PTHREAD_LIBS}"|g' \
 		${WRKSRC}/autoconf/pthread
-	@${REINPLACE_CMD} -e '/LDFLAGS=/s|export|true|g' \
-		${WRKSRC}/gc/configure-gc-7.3alpha1-20120316
 .for i in autoconf/mixer api/multimedia/src/Unix/bglmixer.c
 	@${REINPLACE_CMD} -e 's|machine/soundcard|sys/soundcard|g' \
 		${WRKSRC}/${i}
 .endfor
-
-post-configure:
-	@${FIND} ${WRKSRC} -name "bigloo_config.h" | ${XARGS} \
-		${REINPLACE_CMD} -e 's/BGL_HAVE_SENDFILE 1/BGL_HAVE_SENDFILE 0/'
+	@${FIND} ${WRKSRC}/gc -maxdepth 1 -type f | ${XARGS} \
+		${REINPLACE_CMD} -e '/LDFLAGS=/s|export|true|g'
 
 post-install:
 	${INSTALL_MAN} ${WRKSRC}/manuals/bigloo.man ${MANPREFIX}/man/man1/${MAN1}

Modified: head/lang/bigloo/distinfo
==============================================================================
--- head/lang/bigloo/distinfo	Sun Feb 10 07:49:40 2013	(r311996)
+++ head/lang/bigloo/distinfo	Sun Feb 10 07:52:02 2013	(r311997)
@@ -1,2 +1,2 @@
-SHA256 (bigloo3.8c.tar.gz) = 3835d6aec4428f7a9dc8029a434b4c845e7ea15728141d60b72f9ebc6ddd45e1
-SIZE (bigloo3.8c.tar.gz) = 17721635
+SHA256 (bigloo4.0a.tar.gz) = d4a762b770cfeb43727a28c71bb1e04b77c73e74f2e64db7e42ab96a07f9e19c
+SIZE (bigloo4.0a.tar.gz) = 18967367

Added: head/lang/bigloo/files/patch-autoconf__flac
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/bigloo/files/patch-autoconf__flac	Sun Feb 10 07:52:02 2013	(r311997)
@@ -0,0 +1,49 @@
+--- autoconf/flac.orig
++++ autoconf/flac
+@@ -14,7 +14,7 @@
+ #*    flags                                                            */
+ #*---------------------------------------------------------------------*/
+ cflags=
+-flaclib=-lFLAC
++libs=
+ 
+ #*---------------------------------------------------------------------*/
+ #*    We parse the arguments                                           */
+@@ -27,8 +27,8 @@
+     --cflags=*|-cflags=*)
+       cflags="`echo $1 | sed 's/^[-a-z]*=//'`";;
+ 
+-    --flaclib=*)
+-      flaclib="`echo $1 | sed 's/^[-a-z]*=//'`";;
++    --libs=*)
++      libs="`echo $1 | sed 's/^[-a-z]*=//'`";;
+ 
+     -*)
+       echo "Unknown option \"$1\", ignored" >&2;;
+@@ -43,7 +43,7 @@
+ #*---------------------------------------------------------------------*/
+ #*    compile                                                          */
+ #*---------------------------------------------------------------------*/
+-compile="$CC $cflags $file.c -o $aout $flaclib >/dev/null"
++compile="$CC $cflags $file.c -o $aout $libs >/dev/null"
+ 
+ #*---------------------------------------------------------------------*/
+ #*    The test C file                                                  */
+@@ -88,7 +88,7 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include "FLAC/stream_decoder.h"
++#include "stream_decoder.h"
+ 
+ static FLAC__StreamDecoderWriteStatus write_callback(const FLAC__StreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 * const buffer[], void *client_data);
+ static void metadata_callback(const FLAC__StreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data);
+@@ -252,7 +252,7 @@
+ #*    Compilation test                                                 */
+ #*---------------------------------------------------------------------*/
+ if eval "$BUILDSH $compile"; then
+-   echo "$flaclib"
++   echo "yes"
+ else
+    echo "no"
+ fi

Added: head/lang/bigloo/files/patch-autoconf__gmp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/bigloo/files/patch-autoconf__gmp	Sun Feb 10 07:52:02 2013	(r311997)
@@ -0,0 +1,12 @@
+--- autoconf/gmp.orig
++++ autoconf/gmp
+@@ -27,6 +27,9 @@
+     --cflags=*|-cflags=*)
+       cflags="`echo $1 | sed 's/^[-a-z]*=//'`";;
+ 
++    --gmplib=*)
++      gmplib="`echo $1 | sed 's/^[-a-z]*=//'`";;
++
+     --type=*|-type=*)
+       type="`echo $1 | sed 's/^[-a-z]*=//'`";;
+ 

Added: head/lang/bigloo/files/patch-autoconf__mpg123
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/bigloo/files/patch-autoconf__mpg123	Sun Feb 10 07:52:02 2013	(r311997)
@@ -0,0 +1,40 @@
+--- autoconf/mpg123.orig
++++ autoconf/mpg123
+@@ -14,7 +14,7 @@
+ #*    flags                                                            */
+ #*---------------------------------------------------------------------*/
+ cflags=
+-mpg123lib=-lmpg123
++libs=
+ 
+ #*---------------------------------------------------------------------*/
+ #*    We parse the arguments                                           */
+@@ -27,8 +27,8 @@
+     --cflags=*|-cflags=*)
+       cflags="`echo $1 | sed 's/^[-a-z]*=//'`";;
+ 
+-    --mpg123lib=*)
+-      mpg123lib="`echo $1 | sed 's/^[-a-z]*=//'`";;
++    --libs=*)
++      libs="`echo $1 | sed 's/^[-a-z]*=//'`";;
+ 
+     -*)
+       echo "Unknown option \"$1\", ignored" >&2;;
+@@ -43,7 +43,7 @@
+ #*---------------------------------------------------------------------*/
+ #*    compile                                                          */
+ #*---------------------------------------------------------------------*/
+-compile="$CC $cflags $file.c -o $aout $mpg123lib >/dev/null"
++compile="$CC $cflags $file.c -o $aout $libs >/dev/null"
+ 
+ #*---------------------------------------------------------------------*/
+ #*    The test C file                                                  */
+@@ -154,7 +154,7 @@
+ #*    Compilation test                                                 */
+ #*---------------------------------------------------------------------*/
+ if eval "$BUILDSH $compile"; then
+-   echo "$mpg123lib"
++   echo "yes"
+ else
+    echo "no"
+ fi

Added: head/lang/bigloo/files/patch-bde__Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/bigloo/files/patch-bde__Makefile	Sun Feb 10 07:52:02 2013	(r311997)
@@ -0,0 +1,11 @@
+--- bde/Makefile.orig
++++ bde/Makefile
+@@ -117,7 +117,7 @@
+      dobmem
+ 
+ boot:
+-	$(MAKE) all BFLAGS="$(BFLAGS) -ld-relative"
++	$(MAKE) all BFLAGS="$(BFLAGS) -ld-relative -ldopt \"$(LDFLAGS)\""
+ 
+ dobmem: $(BOOTBINDIR)/$(AFILE_EXE)
+ 	@ if [ "$(LDPRELOADSUPPORT)" = "yes" \

Added: head/lang/bigloo/files/patch-cigloo__Makfefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/bigloo/files/patch-cigloo__Makfefile	Sun Feb 10 07:52:02 2013	(r311997)
@@ -0,0 +1,11 @@
+--- cigloo/Makefile.orig
++++ cigloo/Makefile
+@@ -106,7 +106,7 @@
+ #*---------------------------------------------------------------------*/
+ $(CIGLOO_DEST): $(O_OBJECTS)
+ 	@ echo "Linking:"
+-	@ $(BIGLOO) $(BFLAGS) $(EFLAGS) $(O_OBJECTS) -o $(CIGLOO_DEST)
++	@ $(BIGLOO) $(BFLAGS) $(EFLAGS) -ldopt "$(LDFLAGS)" $(O_OBJECTS) -o $(CIGLOO_DEST)
+ 	@- $(STRIP) $(CIGLOO_DEST)
+ 	@ echo "Cigloo Done..."
+ 	@ echo "-------------------------------"

Added: head/lang/bigloo/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/bigloo/files/patch-configure	Sun Feb 10 07:52:02 2013	(r311997)
@@ -0,0 +1,85 @@
+--- configure.orig
++++ configure
+@@ -2014,12 +2014,10 @@
+ #*---------------------------------------------------------------------*/
+ # find out the C library for mpg123
+ if [ "$mpg123 " = " " ]; then
+-   mpg123libs=`$autoconf mpg123 --cflags="$cflags $mpg123cflags"` || exit 1;
++   mpg123libs=`$autoconf bgl-pkg-config --libs libmpg123`
++   mpg123cflags=`$autoconf bgl-pkg-config --cflags libmpg123`
+ 
+-   if [ "$mpg123libs " = "no " -a "$mpg123cflags " = " " ]; then
+-     mpg123cflags="-D_FILE_OFFSET_BITS=64"
+-     mpg123libs=`$autoconf mpg123 --cflags="$cflags $mpg123cflags"` || exit 1;
+-   fi
++   mpg123=`$autoconf mpg123 --cflags="$mpg123cflags" --libs="$mpg123libs"` || exit 1;
+ fi
+ 
+ #*---------------------------------------------------------------------*/
+@@ -2027,7 +2025,10 @@
+ #*---------------------------------------------------------------------*/
+ # find out the C library for flac
+ if [ "$flac " = " " ]; then
+-   flaclibs=`$autoconf flac --cflags="$cflags"` || exit 1;
++   flaclibs=`$autoconf bgl-pkg-config --libs flac`
++   flaccflags=`$autoconf bgl-pkg-config --cflags flac`
++
++   flac=`$autoconf flac --cflags="$flaccflags" --libs="$flaclibs"` || exit 1;
+ fi
+ 
+ #*---------------------------------------------------------------------*/
+@@ -2040,7 +2041,7 @@
+ #*---------------------------------------------------------------------*/
+ if [ "$regexp " = " " ]; then
+   # find out the C library for pcre
+-  pcrelibs=`$autoconf pcre --cflags="$cflags"` || exit 1;
++  pcrelibs=`$autoconf pcre --cflags="$cflags" --pcrelib="$pcrelib"` || exit 1;
+ 
+   if [ "$pcrelibs " != "no " ]; then
+     featureflags="-srfi enable-pcre $featureflags";
+@@ -2226,7 +2227,7 @@
+     featureflags="-srfi enable-gmp $featureflags";
+     extralibs="-lbigloogmp-$release $extralibs"
+   elif [ "$gmpversion " = " " ]; then
+-    gmpversion=`$autoconf gmp` || exit 1
++    gmpversion=`$autoconf gmp --cflags="$cflags" --gmplib="$gmplib"` || exit 1
+ 
+     if [ $gmpversion = "no" ]; then
+       havegmp=0;
+@@ -2359,8 +2360,8 @@
+     fi
+   fi
+ 
+-  long_limbs=`$autoconf limbs --type="long" --cflags="-I$bootdir/lib/$release -L$bootdir/lib/$release"` || exit 1
+-  longlong_limbs=`$autoconf limbs --type="$longlong" --cflags="-I$bootdir/lib/$release -L$bootdir/lib/$release"` || exit 1
++  long_limbs=`$autoconf limbs --type="long" --cflags="-I$bootdir/lib/$release -L$bootdir/lib/$release $cflags"` || exit 1
++  longlong_limbs=`$autoconf limbs --type="$longlong" --cflags="-I$bootdir/lib/$release -L$bootdir/lib/$release $cflags"` || exit 1
+ 
+   long_sign_bit=`$autoconf signbit --type=long --alignment="$alignment"` || exit 1
+   elong_sign_bit=`$autoconf signbit --type=long --alignment=0` || exit 1
+@@ -3277,7 +3278,7 @@
+   fi
+ 
+   # MPG123
+-  if [ "$mpg123libs " != "no " ]; then
++  if [ "$mpg123 " != "no " ]; then
+     echo "MPG123=$mpg123" >> $makefile_cfg
+     echo "MPG123LIBS=$mpg123libs" >> $makefile_cfg
+     echo "MPG123CFLAGS=$mpg123cflags" >> $makefile_cfg
+@@ -3302,13 +3303,14 @@
+     apis=$napis;
+     echo "MPG123=" >> $makefile_cfg
+     echo "MPG123LIBS=" >> $makefile_cfg
+-    echo "MPG123FLAGS=" >> $makefile_cfg
++    echo "MPG123CFLAGS=" >> $makefile_cfg
+   fi
+ 
+   # FLAC
+-  if [ "$flaclibs " != "no " ]; then
++  if [ "$flac " != "no " ]; then
+     echo "FLAC=$flac" >> $makefile_cfg
+     echo "FLACLIBS=$flaclibs" >> $makefile_cfg
++    echo "FLACCFLAGS=$flaccflags" >> $makefile_cfg
+ 
+     # Patch the code of the FLAC init file
+     echo ";; automatically generated. Don't edit" >  api/flac/src/Misc/flac.init

Modified: head/lang/bigloo/pkg-plist
==============================================================================
--- head/lang/bigloo/pkg-plist	Sun Feb 10 07:49:40 2013	(r311996)
+++ head/lang/bigloo/pkg-plist	Sun Feb 10 07:52:02 2013	(r311997)
@@ -208,14 +208,22 @@ lib/bigloo/%%BIGLOO_VERSION%%/libbigloos
 lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi1_s-%%BIGLOO_VERSION%%.so
 lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi1_u-%%BIGLOO_VERSION%%.a
 lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi1_u-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_es-%%BIGLOO_VERSION%%.a
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_es-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_eu-%%BIGLOO_VERSION%%.a
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_eu-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_s-%%BIGLOO_VERSION%%.a
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_s-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_u-%%BIGLOO_VERSION%%.a
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_u-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_es-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_es-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_eu-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_eu-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_s-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_s-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_u-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi18_u-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_es-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_es-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_eu-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_eu-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_s-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_s-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_u-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbigloosrfi27_u-%%BIGLOO_VERSION%%.so
 %%OPENSSL%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloossl_es-%%BIGLOO_VERSION%%.a
 %%OPENSSL%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloossl_es-%%BIGLOO_VERSION%%.so
 %%OPENSSL%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloossl_eu-%%BIGLOO_VERSION%%.a
@@ -263,8 +271,10 @@ lib/bigloo/%%BIGLOO_VERSION%%/runtest
 %%SQLITE%%lib/bigloo/%%BIGLOO_VERSION%%/sqlite.init
 lib/bigloo/%%BIGLOO_VERSION%%/srfi1.heap
 lib/bigloo/%%BIGLOO_VERSION%%/srfi1.init
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/srfi27.heap
-%%SRFI27%%lib/bigloo/%%BIGLOO_VERSION%%/srfi27.init
+lib/bigloo/%%BIGLOO_VERSION%%/srfi18.heap
+lib/bigloo/%%BIGLOO_VERSION%%/srfi18.init
+lib/bigloo/%%BIGLOO_VERSION%%/srfi27.heap
+lib/bigloo/%%BIGLOO_VERSION%%/srfi27.init
 %%OPENSSL%%lib/bigloo/%%BIGLOO_VERSION%%/ssl.heap
 %%OPENSSL%%lib/bigloo/%%BIGLOO_VERSION%%/ssl.init
 lib/bigloo/%%BIGLOO_VERSION%%/text.heap
@@ -358,10 +368,14 @@ lib/libbigloosrfi1_es-%%BIGLOO_VERSION%%
 lib/libbigloosrfi1_eu-%%BIGLOO_VERSION%%.so
 lib/libbigloosrfi1_s-%%BIGLOO_VERSION%%.so
 lib/libbigloosrfi1_u-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/libbigloosrfi27_es-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/libbigloosrfi27_eu-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/libbigloosrfi27_s-%%BIGLOO_VERSION%%.so
-%%SRFI27%%lib/libbigloosrfi27_u-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi18_es-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi18_eu-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi18_s-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi18_u-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi27_es-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi27_eu-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi27_s-%%BIGLOO_VERSION%%.so
+lib/libbigloosrfi27_u-%%BIGLOO_VERSION%%.so
 %%OPENSSL%%lib/libbigloossl_es-%%BIGLOO_VERSION%%.so
 %%OPENSSL%%lib/libbigloossl_eu-%%BIGLOO_VERSION%%.so
 %%OPENSSL%%lib/libbigloossl_s-%%BIGLOO_VERSION%%.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Martin Wilke freebsd_committer 2013-02-10 08:13:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!